소스 검색

Add a very simple test runner

David Kalnischkies 16 년 전
부모
커밋
e4a30974d7
1개의 변경된 파일10개의 추가작업 그리고 0개의 파일을 삭제
  1. 10 0
      test/libapt/run-tests.sh

+ 10 - 0
test/libapt/run-tests.sh

@@ -0,0 +1,10 @@
+#!/bin/sh
+echo "Compiling the tests ..."
+make
+echo "Running all testcases ..."
+PATH=$(pwd)/../../build/bin
+for testapp in $(/bin/ls ${PATH}/*_libapt_test)
+do
+	echo -n "Testing with \033[1;35m$(/usr/bin/basename ${testapp})\033[0m ... "
+	LD_LIBRARY_PATH=${PATH} ${testapp} && echo "\033[1;32mOKAY\033[0m" || echo "\033[1;31mFAILED\033[0m"
+done